
Name:           hydrogen
Version:        1.0.1
Release:        %mkrel 1
Summary:        An advanced Drum Machine
License:        GPLv2+
Group:          Sound
URL:            http://www.hydrogen-music.org
Source0:        %{name}-%{version}.tar.xz
Source1:        make-tarball2
Patch0:         hydrogen-1.0.0-mga-hydrogen.desktop.patch
Patch3:         0001-porting-stats.py-to-Python3.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  ladspa-devel
BuildRequires:  portmidi-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(audiofile)
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(flac++)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(lash-1.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(lrdf)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(raptor)
BuildRequires:  pkgconfig(rubberband)

Requires:       rubberband

%description
Hydrogen is an advanced drum machine for GNU/Linux. Its main goal is to bring
professional yet simple and intuitive pattern-based drum programming.

%files
%{_bindir}/%{name}
%{_bindir}/h2cli
%{_bindir}/h2player
%{_libdir}/lib%{name}-core-%{version}.so
%{_datadir}/%{name}/
%{_datadir}/applications/org.hydrogenmusic.Hydrogen.desktop
%{_datadir}/appdata/org.hydrogenmusic.Hydrogen.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/org.hydrogenmusic.Hydrogen.svg
%{_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%package        devel
Summary:        Hydrogen header files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
Header files for the hydrogen drum machine.

%files devel
%{_includedir}/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%cmake_qt5 \
        -DWANT_LASH=ON \
        -DWANT_LRDF=ON \
        -DWANT_PORTAUDIO=ON \
        -DWANT_PORTMIDI=ON

%cmake_build

%install
%cmake_install

# No need to package these:
rm -f %{buildroot}%{_datadir}/hydrogen/data/doc/{Makefile,README}* \
      %{buildroot}%{_datadir}/hydrogen/data/doc/*.{docbook,po,pot}


%changelog
* Wed Oct 21 2020 tex - 1.0.1-1pclos2020
- new version: 1.0.1
